/*!
 * jQuery & Zepto Lazy - v1.7.7
 * http://jquery.eisbehr.de/lazy/
 *
 * Copyright 2012 - 2017, Daniel 'Eisbehr' Kern
 *
 * Dual licensed under the MIT and GPL-2.0 licenses:
 * http://www.opensource.org/licenses/mit-license.php
 * http://www.gnu.org/licenses/gpl-2.0.html
 *
 * $("img.lazy").lazy();
 */
(function(window,undefined){"use strict";var $=window.jQuery,aspLazyInstanceId=0,aspWindowLoaded=!1;$.fn.asp_Lazy=$.fn.asp_lazy=function(settings){return new aspLazyPlugin(this,settings)};$.asp_Lazy=$.asp_lazy=function(names,elements,loader){if($.isFunction(elements)&&(loader=elements,elements=[]),$.isFunction(loader)){names=$.isArray(names)?names:[names];elements=$.isArray(elements)?elements:[elements];for(var config=aspLazyPlugin.prototype.config,forced=config._f||(config._f={}),i=0,l=names.length;i<l;i++)(config[names[i]]===undefined||$.isFunction(config[names[i]]))&&(config[names[i]]=loader);for(var c=0,a=elements.length;c<a;c++)forced[elements[c]]=names[0]}};function _executeAspLazy(instance,config,items,events,namespace){var _awaitingAfterLoad=0,_actualWidth=-1,_actualHeight=-1,_isRetinaDisplay=!1,_afterLoad="afterLoad",_load="load",_error="error",_img="img",_src="src",_srcset="srcset",_sizes="sizes",_backgroundImage="background-image";function _initialize(){if(_isRetinaDisplay=window.devicePixelRatio>1,items=_prepareItems(items),config.delay>=0&&setTimeout(function(){_lazyLoadItems(!0)},config.delay),config.delay<0||config.combined){events.e=_throttle(config.throttle,function(event){event.type==="resize"&&(_actualWidth=_actualHeight=-1);_lazyLoadItems(event.all)});events.a=function(additionalItems){additionalItems=_prepareItems(additionalItems);items.push.apply(items,additionalItems)};events.g=function(){return items=$(items).filter(function(){return!$(this).data(config.loadedName)})};events.f=function(forcedItems){for(var i=0;i<forcedItems.length;i++){var item=items.filter(function(){return this===forcedItems[i]});item.length&&_lazyLoadItems(!1,item)}};_lazyLoadItems();$(config.appendScroll).on("scroll."+namespace+" resize."+namespace,events.e)}}function _prepareItems(items){var defaultImage=config.defaultImage,placeholder=config.placeholder,imageBase=config.imageBase,srcsetAttribute=config.srcsetAttribute,loaderAttribute=config.loaderAttribute,forcedTags=config._f||{};items=$(items).filter(function(){var element=$(this),tag=_getElementTagName(this);return!element.data(config.handledName)&&(element.attr(config.attribute)||element.attr(srcsetAttribute)||element.attr(loaderAttribute)||forcedTags[tag]!==undefined)}).data("plugin_"+config.name,instance);for(var i=0,l=items.length;i<l;i++){var element=$(items[i]),tag=_getElementTagName(items[i]),elementImageBase=element.attr(config.imageBaseAttribute)||imageBase;tag===_img&&elementImageBase&&element.attr(srcsetAttribute)&&element.attr(srcsetAttribute,_getCorrectedSrcSet(element.attr(srcsetAttribute),elementImageBase));forcedTags[tag]===undefined||element.attr(loaderAttribute)||element.attr(loaderAttribute,forcedTags[tag]);tag===_img&&defaultImage&&!element.attr(_src)?element.attr(_src,defaultImage):tag!==_img&&placeholder&&(!element.css(_backgroundImage)||element.css(_backgroundImage)==="none")&&element.css(_backgroundImage,"url('"+placeholder+"')")}return items}function _lazyLoadItems(allItems,forced){if(!items.length){config.autoDestroy&&instance.destroy();return}for(var elements=forced||items,loadTriggered=!1,imageBase=config.imageBase||"",srcsetAttribute=config.srcsetAttribute,handledName=config.handledName,i=0;i<elements.length;i++)if(allItems||forced||_isInLoadableArea(elements[i])){var element=$(elements[i]),tag=_getElementTagName(elements[i]),attribute=element.attr(config.attribute),elementImageBase=element.attr(config.imageBaseAttribute)||imageBase,customLoader=element.attr(config.loaderAttribute);!element.data(handledName)&&(!config.visibleOnly||element.is(":visible"))&&((attribute||element.attr(srcsetAttribute))&&(tag===_img&&(elementImageBase+attribute!==element.attr(_src)||element.attr(srcsetAttribute)!==element.attr(_srcset))||tag!==_img&&elementImageBase+attribute!==element.css(_backgroundImage))||customLoader)&&(loadTriggered=!0,element.data(handledName,!0),_handleItem(element,tag,elementImageBase,customLoader))}loadTriggered&&(items=$(items).filter(function(){return!$(this).data(handledName)}))}function _handleItem(element,tag,imageBase,customLoader){++_awaitingAfterLoad;var errorCallback=function(){_triggerCallback("onError",element);_reduceAwaiting();errorCallback=$.noop};_triggerCallback("beforeLoad",element);var srcAttribute=config.attribute,srcsetAttribute=config.srcsetAttribute,sizesAttribute=config.sizesAttribute,retinaAttribute=config.retinaAttribute,removeAttribute=config.removeAttribute,loadedName=config.loadedName,elementRetina=element.attr(retinaAttribute);if(customLoader){var loadCallback=function(){removeAttribute&&element.removeAttr(config.loaderAttribute);element.data(loadedName,!0);_triggerCallback(_afterLoad,element);setTimeout(_reduceAwaiting,1);loadCallback=$.noop};element.off(_error).one(_error,errorCallback).one(_load,loadCallback);_triggerCallback(customLoader,element,function(response){response?(element.off(_load),loadCallback()):(element.off(_error),errorCallback())})||element.trigger(_error)}else{var imageObj=$(new Image);imageObj.one(_error,errorCallback).one(_load,function(){element.hide();tag===_img?element.attr(_sizes,imageObj.attr(_sizes)).attr(_srcset,imageObj.attr(_srcset)).attr(_src,imageObj.attr(_src)):element.css(_backgroundImage,"url('"+imageObj.attr(_src)+"')");element[config.effect](config.effectTime);removeAttribute&&(element.removeAttr(srcAttribute+" "+srcsetAttribute+" "+retinaAttribute+" "+config.imageBaseAttribute),sizesAttribute!==_sizes&&element.removeAttr(sizesAttribute));element.data(loadedName,!0);_triggerCallback(_afterLoad,element);imageObj.remove();_reduceAwaiting()});var imageSrc=(_isRetinaDisplay&&elementRetina?elementRetina:element.attr(srcAttribute))||"";imageObj.attr(_sizes,element.attr(sizesAttribute)).attr(_srcset,element.attr(srcsetAttribute)).attr(_src,imageSrc?imageBase+imageSrc:null);imageObj.complete&&imageObj.trigger(_load)}}function _isInLoadableArea(element){var elementBound=element.getBoundingClientRect(),direction=config.scrollDirection,threshold=config.threshold,vertical=_getActualHeight()+threshold>elementBound.top&&-threshold<elementBound.bottom,horizontal=_getActualWidth()+threshold>elementBound.left&&-threshold<elementBound.right;return direction==="vertical"?vertical:direction==="horizontal"?horizontal:vertical&&horizontal}function _getActualWidth(){return _actualWidth>=0?_actualWidth:_actualWidth=$(window).width()}function _getActualHeight(){return _actualHeight>=0?_actualHeight:_actualHeight=$(window).height()}function _getElementTagName(element){return element.tagName.toLowerCase()}function _getCorrectedSrcSet(srcset,imageBase){if(imageBase){var entries=srcset.split(",");srcset="";for(var i=0,l=entries.length;i<l;i++)srcset+=imageBase+entries[i].trim()+(i!==l-1?",":"")}return srcset}function _throttle(delay,callback){var timeout,lastExecute=0;return function(event,ignoreThrottle){var elapsed=+new Date-lastExecute;function run(){lastExecute=+new Date;callback.call(instance,event)}timeout&&clearTimeout(timeout);elapsed>delay||!config.enableThrottle||ignoreThrottle?run():timeout=setTimeout(run,delay-elapsed)}}function _reduceAwaiting(){--_awaitingAfterLoad;items.length||_awaitingAfterLoad||_triggerCallback("onFinishedAll")}function _triggerCallback(callback){return(callback=config[callback])?(callback.apply(instance,[].slice.call(arguments,1)),!0):!1}if(config.bind==="event"||aspWindowLoaded)_initialize();else $(window).on(_load+"."+namespace,_initialize)}function aspLazyPlugin(elements,settings){var _instance=this,_config=$.extend({},_instance.config,settings),_events={},_namespace=_config.name+"-"+ ++aspLazyInstanceId;return _instance.config=function(entryName,value){return value===undefined?_config[entryName]:(_config[entryName]=value,_instance)},_instance.addItems=function(items){return _events.a&&_events.a($.type(items)==="string"?$(items):items),_instance},_instance.getItems=function(){return _events.g?_events.g():{}},_instance.update=function(useThrottle){return _events.e&&_events.e({},!useThrottle),_instance},_instance.force=function(items){return _events.f&&_events.f($.type(items)==="string"?$(items):items),_instance},_instance.loadAll=function(){return _events.e&&_events.e({all:!0},!0),_instance},_instance.destroy=function(){return $(_config.appendScroll).off("."+_namespace,_events.e),$(window).off("."+_namespace),_events={},undefined},_executeAspLazy(_instance,_config,elements,_events,_namespace),_config.chainable?elements:_instance}aspLazyPlugin.prototype.config={name:"lazy",chainable:!0,autoDestroy:!0,bind:"load",threshold:500,visibleOnly:!1,appendScroll:window,scrollDirection:"both",imageBase:null,defaultImage:"data:image/gif;base64,R0lGODlhAQABAIAAAP///wAAACH5BAEAAAAALAAAAAABAAEAAAICRAEAOw==",placeholder:null,delay:-1,combined:!1,attribute:"data-src",srcsetAttribute:"data-srcset",sizesAttribute:"data-sizes",retinaAttribute:"data-retina",loaderAttribute:"data-loader",imageBaseAttribute:"data-imagebase",removeAttribute:!0,handledName:"handled",loadedName:"loaded",effect:"show",effectTime:0,enableThrottle:!0,throttle:250,beforeLoad:undefined,afterLoad:undefined,onError:undefined,onFinishedAll:undefined};$(window).on("load",function(){aspWindowLoaded=!0})})(window);